$(document).ready(function(){


  var directMnoSelectionEditStart = $('#directMnoEdit').val();
    console.log(directMnoSelectionEditStart + " at rest");
    if (directMnoSelectionEditStart == 'YES') {
      $('#mnoDivEdit').removeClass('hidden');
      $('#supplierDivEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", true);
      // $("#networkNameEdit").prop("disabled", false);
    }
    else if(directMnoSelectionEditStart == 'NO'){
      console.log('in the NO | at rest');
      $('#supplierDivEdit').removeClass('hidden');
      $('#mnoDivEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", false);
      // $("#networkNameEdit").prop("disabled", true);
    }
    else{
      console.log('do nothing | at rest');
    }



	$('#directMno').change(function(tve){
    tve.preventDefault();
    // var theIDD = $(this).siblings('.shortCodeEntryRowId').val();
    var directMnoSelection = $(this).val();
    if (directMnoSelection == 'YES') {
        $('#mnoDiv').removeClass('hidden');
        $('#supplierDiv').addClass('hidden');
        $('#mnoDivEdit').removeClass('hidden');
        // $("#supplierName").prop("disabled", true);
        // $("#networkNameEdit").prop("disabled", false);
    }
    else{
      $('#supplierDiv').removeClass('hidden');
      $('#mnoDiv').addClass('hidden');
      $('#mnoDivEdit').addClass('hidden');
      // $("#networkName").prop("disabled", true);
      // $("#supplierNameEdit").prop("disabled", false);
    }

    
  });


  $('#directMnoEdit').change(function(tve){
    tve.preventDefault();
    var directMnoSelectionEdit = $(this).val();
    console.log(directMnoSelectionEdit);
    if (directMnoSelectionEdit == 'YES') {
      $('#mnoDivEdit').removeClass('hidden');
      $('#supplierDivEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", true);
      // $("#networkNameEdit").prop("disabled", false);
    }
    else if(directMnoSelectionEdit == 'NO'){
      console.log('in the NO | on change');
      $('#supplierDivEdit').removeClass('hidden');
      // $('#networkNameEdit').removeClass('hidden');
      // $('#mnoDivEdit').addClass('hidden');
      $('#networkNameEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", false);
      // $("#networkNameEdit").prop("disabled", true);
    }
    else{
      console.log('do nothing | on change');
    }

    
    
  });
});